### Method

# FwupdPlugin PathStore find_program

since: 2.1.5

#### Declaration [src]

    gchar*
    fu_path_store_find_program (
      FuPathStore* self,
      const gchar* basename,
      GError** error
    )

#### Description [src]

Looks for a program in a path added by `fu_path_store_add_program_path()` — in most cases this will be the same as the `PATH` environment variable.

Available since: 2.1.5

#### Parameters

`basename`

  Type: `const gchar*`

  The program to search.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gchar*`

A new path, or `NULL` for error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.